Subject: Re: Browser with Flash?
To: None <>
From: Rene Schickbauer <>
List: current-users
Date: 02/23/2004 03:35:58
On Monday 23 February 2004 03:19, Patrick Mackey wrote:
> Hi
> > I tried the new firefox-bin, it it obviously installs a native NetBSD
> > version instead of the Linux-Version i desire, so Flash doesn't work.
> > Any ideas what i'm missing?
> Try defining "MOZILLA_USE_LINUX" and then building the firefox-bin
> package.
> ie, MOZILLA_USE_LINUX=3DYES in mk.conf

Thanx, i'll try. Is this somewhere in the documentation, i didn't found=20
anything (mentioning it in DESCR would be *nice*)

I did a
make MOZ_PLATFORM=3D"linux" install
which correctly REQUIREd the linux libraries but still used the netbsd=20
binaries tarball, so obviously i just tried the wrong approach...

After sending the first mail, i just did a "make patch", exchanged=20
work/firefox and then continued with installing; so i already managed to=20
get a working mozilla/firebird/firefox or whatever they call it this=20
week :-)

But i'm really not getting it. Why aren't there actually TWO packages, so=20
one could install BOTH versions? For example, if i'll write a new plugin,=20
it would be better to use the native version instead of cross-compiling,=20
while i'd still be able to browse flash-pages with the linux version.

ACHTUNG: HTML-Mail wird automatisch ungelesen gel=F6scht. HTML-Mails sind=20
BEWARE: HTML mail will be deleted automatically. HTML mails are considered=
ALWAYS as Spam!